public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/plod/
Date: Mon, 24 Jul 2017 21:57:28 +0000 (UTC)	[thread overview]
Message-ID: <1500933414.ab1d95634b38a4de0117e94bca6f6e9da492d532.mjo@gentoo> (raw)

commit:     ab1d95634b38a4de0117e94bca6f6e9da492d532
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 24 21:56:54 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 21:56:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab1d9563

app-misc/plod: new revision that unpacks its man page.

Gentoo-Bug: 619934

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-misc/plod/plod-1.9-r2.ebuild | 42 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/app-misc/plod/plod-1.9-r2.ebuild b/app-misc/plod/plod-1.9-r2.ebuild
new file mode 100644
index 00000000000..3bb385546ef
--- /dev/null
+++ b/app-misc/plod/plod-1.9-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A tool to help administrators keep track of daily activities"
+HOMEPAGE="http://www.deer-run.com/~hal/"
+SRC_URI="http://www.far2wise.net/plod/${P}.tar.gz"
+
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="dev-lang/perl"
+
+src_unpack() {
+	default
+
+	# Bug 619934. Change directories first to ensure that "unpack" outputs
+	# to ${S} and not to ${WORKDIR}.
+	cd "${S}" || die
+	unpack "${S}/${PN}.1.gz"
+}
+
+src_prepare() {
+	default
+	sed -i -e 's#/usr/local#/usr#' "${PN}" || die
+}
+
+src_compile() {
+	:;
+}
+
+src_install() {
+	dobin "${PN}"
+	doman "${PN}.1"
+
+	insinto /etc
+	doins "${FILESDIR}/${PN}rc"
+
+	dodoc README TODO
+}


             reply	other threads:[~2017-07-24 21:57 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-24 21:57 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-20 22:11 [gentoo-commits] repo/gentoo:master commit in: app-misc/plod/ Conrad Kostecki
2022-07-14  9:26 Sam James
2017-11-22 13:09 Michael Orlitzky
2017-11-20 15:17 Manuel RĂ¼ger
2017-11-14  9:10 Sergei Trofimovich
2017-11-07 17:57 Thomas Deutschmann
2017-05-13 21:21 Patrice Clement
2017-04-10 23:41 Patrice Clement
2017-04-10 23:41 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1500933414.ab1d95634b38a4de0117e94bca6f6e9da492d532.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox